none
SQL SERVER EXPRESS 2008 VE 2014 RRS feed

  • Soru

  • Herkese merhabalar , 

    Bir bilgisayarda(sunucu) sql server 2014 express surumu yuklu  digeri xp oldugu icin 2008 yuklemek zorundayim sql server express 2008.   Sunucu uzaktan baglantilara izin veriyor tum ayarlar yapildi. Denendi sorunda yok.  Benim sorum su  xp ms sql server 2008 ile 2014 baglana bilirmiyim ? Daga denemedim ama olmazsa hic yapmiyim veya baska bir yol var mi ?


    Agha Huseynov


    14 Nisan 2016 Perşembe 12:53

Yanıtlar

  • Network Library=DBMSSOCN named pipes protokolu. Default instance kullaniyorsun anladigim kadariyla, soyle dener misin (1433'te dinlediginden asla emin olma, kontrol et):

    tcp:server=192.168.1.37,1433;Initial Catalog=DengeDB;User ID=sa;Password=**********

    Bir de, garip ama gercek, kullandigin SQL server driver ile her zaman digerine baglanamiyor (nedenini bilmiyorum, bir makinede baglaniyor digerinde baglanmiyor OS vs ayni olsa bile - dokumentasyonlarda zamaninda cok aradim ama bir sey cikmadi). Mumkun oldukca en son driveri kullan.

    • Yanıt Olarak İşaretleyen Agha HUSEYNOV 16 Nisan 2016 Cumartesi 12:18
    15 Nisan 2016 Cuma 10:47
  • Resmi (Microsoft) kaynaga gore XP ile desteklenen son client driver SQL Server Native Client 10.5 (2008 R2). 2014 icin ayrica driver yok, son driver 11.0 (2012 ve 2014). Detaylar bu sayfada.

    Eger 2012 ve 2014'e ait ozellik kullanmadiysaniz, 2008, 2005 ... hatta 2000 driver ile bile SQL server 2014'e baglanabilirsiniz. Kullandiysaniz o zaman davranislar garip oluyor. Isi garantiye almak icin iki tarafta da 2008 uyumlu database kullanin derim.

    • Yanıt Olarak İşaretleyen Agha HUSEYNOV 14 Nisan 2016 Perşembe 14:35
    14 Nisan 2016 Perşembe 14:05

Tüm Yanıtlar

  • Resmi (Microsoft) kaynaga gore XP ile desteklenen son client driver SQL Server Native Client 10.5 (2008 R2). 2014 icin ayrica driver yok, son driver 11.0 (2012 ve 2014). Detaylar bu sayfada.

    Eger 2012 ve 2014'e ait ozellik kullanmadiysaniz, 2008, 2005 ... hatta 2000 driver ile bile SQL server 2014'e baglanabilirsiniz. Kullandiysaniz o zaman davranislar garip oluyor. Isi garantiye almak icin iki tarafta da 2008 uyumlu database kullanin derim.

    • Yanıt Olarak İşaretleyen Agha HUSEYNOV 14 Nisan 2016 Perşembe 14:35
    14 Nisan 2016 Perşembe 14:05
  • Anladım hocam teşekkürler. 

    Bir sorunum daha var. Ben projeyi yazarken .net 4.5 yapıyordum sonradan fark ettim kuracağım makine XP SP3 ve 4.5 i desteklemiyor. Projeyi Target Platforumdan 4.0 yaptım makineyede .net 4.0 kurdum fakat hala kuramıyorum. Projemde Linq kullanığım içinde 3.5 indiremiyorum. Nasıl yapa bilirim ?


    Agha Huseynov

    14 Nisan 2016 Perşembe 14:28
  • XP .Net 4.0 destekliyor. Linq 3.5 ile geldi.
    14 Nisan 2016 Perşembe 15:18
  • Peki neden framework hatasi veriyor?  

    Projeyi Target  Platform 4.0 yaptim 


    Agha Huseynov

    14 Nisan 2016 Perşembe 15:45
  • Bilemem ne hatasi veriyor. XP kullanmayali uzun zaman oldu, ben MS'un yalancisiyim.
     
    • Düzenleyen CetinBasoz 14 Nisan 2016 Perşembe 15:46
    14 Nisan 2016 Perşembe 15:46
  • Setup dosyası açılmıyor bile bu işetim sistemi için uygun değil yazıyor :(

    En iyisi bunları formatıyım.


    Agha Huseynov

    14 Nisan 2016 Perşembe 16:04
  • Simdi XP (virtual) makineme baktim, 4.0 kurulu ve Linq calisiyor. Sanirim problem baska yerde, XP destegini kestikleri icin installer ile ilgili olabilir.
    14 Nisan 2016 Perşembe 16:06
  • 64 bit versiyonu olabilir mi?

    http://pgnchess.com

    14 Nisan 2016 Perşembe 16:07
  • 32 bit yaptım yine aynı. 

    Çetin hocamın dediği gibi İnstaller desteğini kesmişler ondan kaynaklı


    Agha Huseynov

    14 Nisan 2016 Perşembe 16:11
  • Benim XP (virtual - fizikselden cevirmistim yedek olarak) makinede versiyon bilgisi:

    v1.1.4322    SP1
      1033    SP1
    v2.0.50727  2.2.30729  SP2
    v3.0  3.2.30729  SP2
    v3.5  3.5.30729.01  SP1
    v4  
      Client  4.0.30319
      Full  4.0.30319
    v4.0  
    

    14 Nisan 2016 Perşembe 16:17
  • Hocam bilgisayara  kurdum  fakat bu sefer SQL SERVER den hata aldım veri tabanı açılmadı Login failed hatası aldım.(sadece bu makinede).

    Agha Huseynov

    14 Nisan 2016 Perşembe 19:05
  • Direk Managment ile baglanti yapa biliyorum ama progmin kendisi ile yaptigimda yukarda yazdigim hatayi aliyorum.

    Baglantimin : Data Source=192.168.1.37,1433;Network Library=DBMSSOCN;Initial Catalog=DengeDB;User ID=sa;Password=**********;


    Agha Huseynov

    14 Nisan 2016 Perşembe 19:14
  • Network Library=DBMSSOCN named pipes protokolu. Default instance kullaniyorsun anladigim kadariyla, soyle dener misin (1433'te dinlediginden asla emin olma, kontrol et):

    tcp:server=192.168.1.37,1433;Initial Catalog=DengeDB;User ID=sa;Password=**********

    Bir de, garip ama gercek, kullandigin SQL server driver ile her zaman digerine baglanamiyor (nedenini bilmiyorum, bir makinede baglaniyor digerinde baglanmiyor OS vs ayni olsa bile - dokumentasyonlarda zamaninda cok aradim ama bir sey cikmadi). Mumkun oldukca en son driveri kullan.

    • Yanıt Olarak İşaretleyen Agha HUSEYNOV 16 Nisan 2016 Cumartesi 12:18
    15 Nisan 2016 Cuma 10:47
  • Malesef Çetin hocam deyişen birşey yok 

    Agha Huseynov

    16 Nisan 2016 Cumartesi 12:07
  • Pardon hocam stringi yanlis kopyalamisim  duzeldi :)  

    Cani gönülden teşekkür ederim.


    Agha Huseynov

    16 Nisan 2016 Cumartesi 12:17